﻿Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Text
Imports System.Windows.Forms
Imports System.IO.Ports
'Imports DLLParsingTest.DLLParsingTest.Properties
Imports IDParser_VB.IDParser_VB.Properties
'used to save settings

'***************************************************************

' Tokenworks PDF417 and Magnetic Stripe Parsing Library        

' © Copyright 2014, TokenWorks Inc.                      

' All rights reserved.                                          

' Redistribution and use of this code in source and/or binary   

' forms, with or without modification, are permitted provided   

' that: (1) all copies of the source code retain the above      

' unmodified copyright notice and this entire unmodified        

' section of text, (2) You or Your organization owns a valid    

' Developer License to this product from TokenWorks Inc.       

' and, (3) when any portion of this code is bundled in any      

' form with an application, a valid notice must be provided     

' within the user documentation, start-up screen or in the      

' help-about section of the application that specifies          

' TokenWorks as the provider of the Software bundled      

' with the application.                                         

'***************************************************************

Namespace IDParser_VB
    Partial Public Class frmSettings
        Inherits Form
        Public Sub New()

            InitializeComponent()
            label1.Hide()
            ' these labels must appear after InitializeComponent()
            label2.Hide()
            ' but before InitializeControlValues(), which uses them to dispay error message

            InitializeControlValues()
        End Sub
        ' The main control for communicating through the RS-232 port
        Public comport As New SerialPort()


        Private Sub InitializeControlValues()

            cmbPortName.Items.Clear()
            For Each comPort As COMPortInfo In COMPortInfo.GetCOMPortsInfo()
                cmbPortName.Items.Add(comPort.Name)
            Next

            'If cmbPortName.Items.Contains(Settings.[Default].PortName) Then
            'cmbPortName.Text = Settings.[Default].PortName
            'ElseIf cmbPortName.Items.Count > 0 Then
            If cmbPortName.Items.Count > 0 Then
                cmbPortName.SelectedIndex = 0
            Else
                label1.Show()
                ' display error message
                label2.Show()
                ' as no USB Serial Ports were found
                btnDone.Text = "Exit"
            End If

        End Sub


        Private Sub SaveSettings()
            Settings.[Default].PortName = cmbPortName.Text
            Settings.[Default].Save()
        End Sub


        Private Sub btnDone_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnDone.Click
            'SaveSettings()
            frmMain.portz = cmbPortName.Text
            Me.Close()
        End Sub

    End Class
End Namespace
